Package uk.ac.starlink.datanode.tree.select

# Class NodeRootModel

java.lang.Object
javax.swing.AbstractListModel
uk.ac.starlink.datanode.tree.select.NodeRootModel

All Implemented Interfaces:
  `Serializable`, `ComboBoxModel`, `ListModel`

public class NodeRootModel extends AbstractListModel implements ComboBoxModel
Model for a NodeRootComboBox.

Since:
  10 Mar 2005
Author:
  Mark Taylor (Starlink)
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class javax.swing.AbstractListModel

`listenerList`

## Constructor Summary

Constructors
Constructor
Description
`NodeRootModel(DataNodeFactory factory)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addChain(uk.ac.starlink.datanode.tree.select.NodeChain chain)`
Adds a new node chain to this model.
`uk.ac.starlink.connect.ConnectorAction`
`getConnectorAction()`
`Object`
`getElementAt(int index)`
`Object`
`getSelectedItem()`
`DataNode`
`getSelectedNode()`
`int`
`getSize()`
`void`
`removeAllElements()`
`void`
`setSelectedItem(Object item)`

### Methods inherited from class javax.swing.AbstractListModel

`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.swing.ListModel

`addListDataListener, removeListDataListener`

## Constructor Details

### NodeRootModel

public NodeRootModel(DataNodeFactory factory)

## Method Details

### getSize

public int getSize()

Specified by:
  `getSize` in interface `ListModel`

### getElementAt

public Object getElementAt(int index)

Specified by:
  `getElementAt` in interface `ListModel`

### getSelectedItem

public Object getSelectedItem()

Specified by:
  `getSelectedItem` in interface `ComboBoxModel`

### setSelectedItem

public void setSelectedItem(Object item)

Specified by:
  `setSelectedItem` in interface `ComboBoxModel`

### getSelectedNode

public DataNode getSelectedNode()

### addChain

public void addChain(uk.ac.starlink.datanode.tree.select.NodeChain chain)
Adds a new node chain to this model.

Parameters:
  `chain` - new chain to add

### removeAllElements

public void removeAllElements()

### getConnectorAction

public uk.ac.starlink.connect.ConnectorAction getConnectorAction()